Test::Int::CpltAssignment Class Reference

Generate all assignments. More...

`#include <int.hh>`

## Public Member Functions

| CpltAssignment (int n, const Gecode::IntSet &d)
| Initialize assignments for n0 variables and values d0.
virtual bool | operator() (void) const
| Test whether all assignments have been iterated.
virtual void | operator++ (void)
| Move to next assignment.
virtual int | operator[] (int i) const
| Return value for variable i.
virtual | ~CpltAssignment (void)
| Destructor.
Public Member Functions inherited from Test::Int::Assignment
| Assignment (int n0, const Gecode::IntSet &d0)
| Initialize assignments for n0 variables and values d0.
int | size (void) const
| Return number of variables.
virtual | ~Assignment (void)
| Destructor.

## Protected Attributes

Gecode::IntSetValues * | dsv
| Iterator for each variable.
Protected Attributes inherited from Test::Int::Assignment
int | n
| Number of variables.
Gecode::IntSet | d
| Domain for each variable.

## Detailed Description

Generate all assignments.

Definition at line 79 of file int.hh.

## Constructor & Destructor Documentation

## CpltAssignment()

Test::Int::CpltAssignment::CpltAssignment | ( | int | n,
|  | const Gecode::IntSet & | d )

inline

Initialize assignments for n0 variables and values d0.

Definition at line 54 of file int.hpp.

## ~CpltAssignment()

Test::Int::CpltAssignment::~CpltAssignment | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 70 of file int.hpp.

## Member Function Documentation

## operator()()

bool Test::Int::CpltAssignment::operator() | ( | void |  | ) | const

inline virtual

Test whether all assignments have been iterated.

Implements Test::Int::Assignment.

Definition at line 61 of file int.hpp.

## operator++()

void Test::Int::CpltAssignment::operator++ | ( | void |  | ) |

virtual

Move to next assignment.

Implements Test::Int::Assignment.

Definition at line 48 of file int.cpp.

## operator[]()

int Test::Int::CpltAssignment::operator[] | ( | int | i | ) | const

inline virtual

Return value for variable i.

Implements Test::Int::Assignment.

Definition at line 65 of file int.hpp.

## Member Data Documentation

## dsv

Gecode::IntSetValues* Test::Int::CpltAssignment::dsv

protected

Iterator for each variable.

Definition at line 81 of file int.hh.

The documentation for this class was generated from the following files:

- test/int.hh
- test/int.cpp
- test/int.hpp